I agree! I still use this plugin, and find it useful. I hope it gets updated so it can run on SU 2024.
Latest posts made by shannonnovus
-
RE: [Plugin] Ruby Console+ (3.0.2) – updated 30.10.2017
-
RE: More Fredo6 plugins becoming paid extensions
I had a heck of a time trying to find links for all the ones included. They aren't all listed on Fredo6's Sketchucation page. https://sketchucation.com/pluginstore?pauthor=fredo6
Here they are for anyone else looking for details.
• ToolsOnSurface - https://sketchucation.com/pluginstore?pln=ToolsOnSurface
• VisuHole - https://sketchucation.com/plugin/1120-visuhole
• Curvizard - https://sketchucation.com/plugin/804-curvizard
• TopoShaper - https://sketchucation.com/plugin/716-toposhaper
• FredoScale - https://sketchucation.com/plugin/1169-fredoscale
• Curviloft - https://sketchucation.com/plugin/1175-curviloft
• JointPushPull - https://sketchucation.com/plugin/715-jointpushpull
• RoundCorner - https://sketchucation.com/plugin/1173-roundcorner -
RE: [Plugin][$] RoundCorner - v3.4a - 31 Mar 24
Hi. I just got a popup saying Round Corner will expire in two days. Please no!!! This plugin saves me so much time. I greatly appreciate this and all other Fredo6 plugins. Thanks for being a pillar of the SketchUp community!
-
RE: [Plugin] CleanUp
Repairing edges isn't working for me. It claims to remove edges, but it doesn't.
For example, I'll select 12 connected edges.
Run CleanUp3.
The dialogue will say "Edges Reduced: 3".
But all 12 original edges remain.So it's like CleanUp3 sees the correct edges that it should be deleting, but then it doesn't actually delete them.
I'm running SketchUp 2020 on Windows, with CleanUp3 v3.4.3.
I'd appreciate any suggestions.
Thanks for all the great plugins, thomthom.
-
RE: [Plugin] CleanUp
For the most part I love this plugin, but I'm having an issue with the "smooth by angle" feature. I'm running SketchUp 2015, with CleanUp3 (3.3.1).
It seems like the CleanUp plugin is "seeing" the lines that it could fix, and claims to be doing so, but isn't actually fixing anything.
Steps to reproduce:
- Select the geometry (building outlines that have several line segments that are almost but not quite parallel)
- Run CleanUp3, with Smooth Edges by Angle set to 5.0.
- It runs, and says "Edges reduced: 1500", and the validity check is showing no problems.
- BUT, then I still have the same number of edges in my model (8417) that I had at the beginning. Looking at the outlines in detail, the offending lines are still there.
I've tried both with faces included and faces deleted.
Any ideas?
Thanks,
Shannon -
RE: Unglue multiple component instances
Solved my own problem, after some trial and error in the Ruby console. Here it is.
def unglue
model=Sketchup.active_model
selection=model.selection
comps=selection.grep(Sketchup::ComponentInstance) {|c|
glue = c.glued_to
c.glued_to=nil unless glue==nil
}
end#def -
Unglue multiple component instances
Greetings,
I am trying to batch unglue components, but can't seem to find an easy way to do it.
-
When I select multiple instances, the "unglue" option is no longer available in the context menu.
-
I can't figure out how to modify the component definition (glue settings, etc) once the component has been created.
-
I don't see a way to "unglue" the component instances via the API.
I've searched, but doesn't seem like this is a problem others have had before. The issue is that I've made a house component, set it to be glued long before I knew what a pain it would be, and now I have 400 of them in my model. I'm adding topography, so I need to move all of the houses up to sit on top of the topography, but it isn't letting me, of course, because they are glued to the ground (aka. Google Earth Snapshot).
Any help on how to get out of this without changing each individually would be much appreciated, either using the GUI or writing a Ruby script to do it.
With gratitude,
Shannon -
-
Status Text being reset
Hello,
I'm having some difficulty setting status text for my plugin. From what I can figure, the command to Sketchup::set_status_text is working, but then instantaneously the status text is being rewritten by the default "Select objects. Shift to extend select. Drag mouse to select multiple." message.
How do I write my plugin such that the status text I set will stick around for awhile? Is that possible, or do I need to use a message box to give the user the results of the plugin having run? (As I have seen other plugins do).
Thanks!
Shannonps. I'm using SketchUp Pro 2014.
-
RE: [plugin/code] get global coordinates, the brute force way
I'd also very much like a way to access the global coordinates of points within groups without needing to reference the nesting parents transformation. The brute force method works, but has anyone found a better way to do this yet?
-
RE: Best way to iterate all nested entities
@dan rathbun said:
Use the standard Ruby
to_a()
orgrep()
method to take a "snapshot" Ruby array copy of API collections.
Then iterate THAT Ruby copy, viz:
entities.grep(Sketchup::Edge).each {|e| e.erase! if is_vertical?(e) }
Thanks Dan! The grep method worked great!
@dan rathbun said:
def is_vertical?(edge) > vec = edge.start.position.vector_to(edge.end.position).normalize > vec == [0,0,1] || vec == [0,0,-1] > end
Your example for how to test for a vertical edge did not work for me, which could be entirely my fault. TIG's code from the other forum I mentioned did.
edge.line[1].z.abs==1